

/*

________________________________________________________________

        ImageOverlay.h
        %W% %E%, Copyright 1990, Blab, UiO
        Image processing lab, Department of Informatics
        University of Oslo
        E-mail: blab@uio.no
________________________________________________________________
  
  Permission to use, copy, modify and distribute this software and its
  documentation for any purpose and without fee is hereby granted, 
  provided that this copyright notice appear in all copies and that 
  both that copyright notice and this permission notice appear in supporting
  documentation and that the name of B-lab, Department of Informatics or
  University of Oslo not be used in advertising or publicity pertaining 
  to distribution of the software without specific, written prior permission.

  B-LAB DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL B-LAB
  BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
  OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 

*/


#ifndef _ImageOverlay_h
#define _ImageOverlay_h

#include "Image.h"

/****************************************************************
 *
 * ImageOverlay widget
 *
 ****************************************************************/

/* Resources:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		Pixel		XtDefaultBackground
 border		     BorderColor	Pixel		XtDefaultForeground
 borderWidth	     BorderWidth	Dimension	1
 destroyCallback     Callback		Pointer		NULL
 height		     Height		Dimension	0
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 sensitive	     Sensitive		Boolean		True
 width		     Width		Dimension	0
 x		     Position		Position	0
 y		     Position		Position	0

*/

/* define any special resource names here that are not in <X11/StringDefs.h> */


#define XtNimageOverlayResource		"imageOverlayResource"
#define XtCImageOverlayResource		"ImageOverlayResource"

#define XtNoverlay            		"overlay"
#define XtCOverlay            		"Overlay"


/* declare specific ImageWidget class and instance datatypes */

typedef struct _ImageOverlayClassRec*	ImageOverlayWidgetClass;
typedef struct _ImageOverlayRec*      	ImageOverlayWidget;

/* declare the class constant */

extern WidgetClass imageOverlayWidgetClass;

/*OVERLAY setmode-args     */

#define OVERLAY_CLEAR     0
#define OVERLAY_SET       1
#define OVERLAY_TOGGLE    2

/*OVERLAY callbacktype     */

typedef struct 
{
  XEvent *event;
  struct imagestruct *img;
  struct bandstruct *band;
  int value;
  int x, y, width, height;
} ImageOverlayCallbackRec, *ImageOverlayCallback; 


#endif  _ImageOverlay_h
